Opened 3 years ago

Closed 2 years ago

#1880 closed Task (fixed)

HPC-08 — 3D lbc_lnk argument with any size for the 3rd dimension

Reported by: gm Owned by: gm
Priority: low Milestone: 2017 WP
Component: OCE Version: trunk
Severity: minor Keywords: lbclnk, lib_mpp
Cc: Review: failed
MP ready?: no
Progress: Unspecified

Description (last modified by gm)

Context

development branch associated with HPC-08 action

-1- Allow the 3rd dimension of 3D arrays in argument of lbc_lnk routine to be of any size.
-2- Regroup the three global communications of stp_ctl in a single one.

Implementation

-1- modules involved: lbclnk.F90, lib_mpp.F90 and lbcnfd.F90, Methodology: replace jpk by ipk=SIZE(tab3D_input,3)

-2- modules involved: stpctl.F90 , nemogcm.F90 , and in_out_manager.F90. Methodology: mpi_allreduce performed on a vector of size=3 containing the local max of |U|, -SSS, and ssh2.

NB: Changes also involve a bug correction (see ticket #1879) as well as coding style.

Branch name: dev_r7832_HPC08_lbclnk_3rd_dim

Commit History (14)

ChangesetAuthorTimeChangeLog
8143gm2017-06-06T15:55:44+02:00

#1880 (HPC-09) - step-7: top/bottom drag computed at T-points, zdfbfr.F90 replaced by zdfdrg.F90 + changes in namelist

8093gm2017-05-30T10:13:14+02:00

#1880 (HPC-09) - step-6: prepare some forthcoming evolutions (ZDF modules mainly)

7997gm2017-05-08T11:24:47+02:00

#1880 (HPC-09) - step-5: bug correction + optimisation in zdfsh2.F90

7991gm2017-05-01T16:21:42+02:00

#1880 (HPC-09) - step-5: OPA/ZDF shear production term computed outside closure schemes

7990gm2017-04-29T17:24:54+02:00

#1880 (HPC-09): OPA remove avmu, avmv from zdf modules + move CALL tke(gls)_rst & gls_rst in zdftke(gls) + rename zdftmx and zdfqiao

7954gm2017-04-24T09:19:00+02:00

#1880 (HPC-09): OPA & TOP replace key_trabbl by ln_trabbl + in CONFIG, remove reference to key_zdfXXX and key_trabbl

7953gm2017-04-23T09:30:41+02:00

#1880 (HPC-09): add zdfphy (the ZDF manager) + remove all key_…

7931gm2017-04-19T12:15:07+02:00

#1880 (HPC-09): remove key_zdfddm + phasing with last changes of HPC08 branch

7925flavoni2017-04-18T16:25:59+02:00

#1880: (HPC-08) SETTE ready with run.stat file + small change in stpctl,

7904gm2017-04-13T09:10:07+02:00

#1880 (HPC-09): phase with branch dev_r7832_HPC08_lbclnk_3rd_dim

7903gm2017-04-13T09:00:34+02:00

#1880: (HPC-08) stp_cfl, check |ssh| instead of ssh2 - correct a small error

7902gm2017-04-13T07:28:04+02:00

#1880: (HPC-08) stp_cfl, check |ssh| instead of ssh2

7901gm2017-04-13T05:46:23+02:00

#1880: (HPC-08) minor corrections

7897gm2017-04-11T15:10:20+02:00

#1880: (HPC-08) 3D lbc_lnk with any 3rd dim + regroup global comm in stpctl.F90

Change History (6)

comment:1 Changed 3 years ago by gm

commit: revision 7897

Changes in modules lbclnk.F90 , lbcnfd.F90 , and lib_mpp.F90 allow the 3rd dimension of 3D fields argument of lbc_lnk to be of any size.

Changes in modules stpctl.F90 , nemogcm.F90 , and in_out_manager.F90 include :

  • solver.stat file becomes run.stat file
  • instead of global sum of ssh2 put in solver.stat, we now write the maximum of ssh2 over the global domain
  • the mpi_allreduce is now performed on a vector of size=3 containing the local max of |U|, -SSS, and ssh2. Therefore only 1 phase of global communication is performed in stpctl.F90 instead of 3.

Changes in lbclnk.F90 to correct the bug described in ticket #1879

Commit: revision 7903

stpctl.F90 : max of |ssh| instead of ssh2 ; abort tests are |ssh|_max > 10m ; |U|_max > 10 m/s ; SSS_min < 0

Last edited 3 years ago by gm (previous) (diff)

comment:2 Changed 3 years ago by gm

  • Description modified (diff)

comment:3 Changed 3 years ago by clevy

  • Milestone set to 2017 WP

comment:4 Changed 3 years ago by mchekki

  • Severity set to minor

Analysis

Tests have been conducted between revisions 7844 and 7925 and the run.stat files were compared and no differences were found (in revision 7844 run.stat along with solver.stat was added ). However agrif test case is not working for both revisions (crash with a segmentation fault)

comment:5 Changed 3 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

comment:6 Changed 2 years ago by gm

  • Resolution set to fixed
  • Status changed from new to closed

Incorporated in dev_merge_2017 branch.

Note: See TracTickets for help on using tickets.